function EditResInfo(lngID)
{
	var strTrackAs=GetGridValue("Track_As_", lngID);

	if(strTrackAs==g_MqRef.RESX['CV.TRACK_AS_BULK']){
		//bulk
		var strTrackAs=GetGridValue("Track_As_", lngID);
		var strAssetClass=GetGridValue("Asset_Class_", lngID);
		var strAssetType=GetGridValue("Asset_Type_", lngID);
		var strAssetName=GetGridValue("Asset_Name_", lngID);
		var strAllocationUnits=GetGridValue("Allocation_Units_", lngID);
		var strVals="1092=" + g_MqRef.MqStr.MqEncodeURIComponent(strAssetClass) + 
					"&1093=" + g_MqRef.MqStr.MqEncodeURIComponent(strAssetType) + 
					"&30=" + g_MqRef.MqStr.MqEncodeURIComponent(strAssetName + " " + g_MqRef.RESX['BULK_ASSET_INSTANCE_POSTFIX']) +
					"&1111=" + g_MqRef.MqStr.MqEncodeURIComponent(strAllocationUnits) + "&993=1&1110=" + lngID;
		var strType="&txtPostData=" + g_MqRef.MqStr.MqEncodeURIComponent(strVals);
		parent.OpenModalWindow(parent.GetVDURL(parent.g_VWS.URL().BaseVDName(), "View=Resources%2FConsumable" + strType), 1440, 900, true);
	}else{
		parent.LoadRecord(lngID, -1, false);
	}
}

function GetGridValue(strTag, lngID)
{
	var strValue="";
	var objCell=document.getElementById(strTag+lngID);
	if(objCell){
		strValue=objCell.innerHTML;
	}
	return strValue;
}